<!DOCTYPE html> 
<html xmlns="http://www.w3.org/1999/xhtml"
	  xmlns:th="http://www.thymeleaf.org"
	  xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	  layout:decorate="~{/web/layout/userSubMenuLayout}">
	<th:block layout:fragment="layout_css">
		<link rel="stylesheet" href="/css/web/customer_sub_consulting.css?v1.1">
		<link rel="stylesheet" href="/css/web/modal_user_original_chart.css?v1.1">
		<link rel="stylesheet" href="/css/web/grid.css?v1.1">
	</th:block>

<th:block layout:fragment="layout_top_script">
<script src="/js/web/common_option.js"></script>
<script src="/js/web/jquery.twbsPagination.js" type="text/javascript"></script>
<script>
let menuClass     = "[[${param.menuClass}]]"==""?"":"[[${param.menuClass}]]";

let selectUseYn   = "[[${selectUseYn}]]"==""?"N":"[[${selectUseYn}]]";
let insertUseYn   = "[[${insertUseYn}]]"==""?"N":"[[${insertUseYn}]]";
let updateUseYn   = "[[${updateUseYn}]]"==""?"N":"[[${updateUseYn}]]";
let deleteUseYn   = "[[${deleteUseYn}]]"==""?"N":"[[${deleteUseYn}]]";
let downloadUseYn = "[[${downloadUseYn}]]"==""?"N":"[[${downloadUseYn}]]";

let muUserId = "[[${param.muUserId}]]";

/* 검색 관련 변수 */
let userSearchKeywordParam = "[[${param.userSearchKeywordParam}]]";
let userSort               = "[[${param.userSort}]]";
let userDir                = "[[${param.userDir}]]";
let userStart              = "[[${param.userStart}]]"==""?0:"[[${param.userStart}]]";
let userLimit              = "[[${param.userLimit}]]"==""?500:"[[${param.userLimit}]]";

let search_nationality = "[[${param.nationality}]]"??"";
let search_userType = "[[${param.userType}]]"??"";
let search_membershipYn = "[[${param.membershipYn}]]"??"";

/* 검색 관련 변수 */
let searchChartDivi                     = "[[${param.searchChartDivi}]]";
let userOriginalChartSort               = "[[${param.userOriginalChartSort}]]";
let userOriginalChartDir                = "[[${param.userOriginalChartDir}]]";
let userOriginalChartStart              = "[[${param.userOriginalChartStart}]]"==""?0:"[[${param.userOriginalChartStart}]]";
let userOriginalChartLimit              = "[[${param.userOriginalChartLimit}]]"==""?100:"[[${param.userOriginalChartLimit}]]";

let userOriginalChartSearchStartDate    = "[[${param.userOriginalChartSearchStartDate}]]";
let userOriginalChartSearchEndDate      = "[[${param.userOriginalChartSearchEndDate}]]";
let userOriginalChartSearchDateType     = "[[${param.userOriginalChartSearchDateType}]]"==""?"A":"[[${param.userOriginalChartSearchDateType}]]";


</script>
</th:block>
<th:block layout:fragment="layout_content">
<!-- 센터쪽 -->
<div class="center_box">
	<p class="page_title">상담차트</p>
	
	<div class="filter_box">
		<div class="form_box">
			<div class="select_box first dropdown">
				<button class="label" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">전체</button>
				<input type="hidden" id="userOriginalChartDivi" />

				<ul class="select_option_list dropdown-menu" id="sel_chartDivi">
					<li class="option_list_item" data-value="">전체</li>
					<li class="option_list_item" data-value="상담">상담</li>
					<li class="option_list_item" data-value="동의서">동의서</li>
					<li class="option_list_item" data-value="문진표">문진표</li>
					<li class="option_list_item" data-value="피부">피부</li>
					<li class="option_list_item" data-value="쁘띠">쁘띠</li>
					<li class="option_list_item" data-value="비만">비만</li>
					<li class="option_list_item" data-value="제모">제모</li>
					<li class="option_list_item" data-value="웰빙">웰빙</li>
				</ul>
			</div>
			
			<div class="search_list">
				<button id="btnSearchUserReserveHistory" class="search_btn" data-toggle="modal" data-target=".work_closed_modal" style="transition: all 0.2s ease-in-out 0s;">조회</button>
			</div>
		</div>
	</div>
	
	<div id="userOriginalChartGrid" class="table_box ag-theme-balham"></div>

	<!-- 페이지게이션 -->
	<div class="page_box">
		<nav ria-label="Page navigation" class="navigation">
			<ul class="pagination" id="userOriginalChartPagination"></ul>
		</nav>
	</div>
</div>
<form id="userOriginalChartSelectListForm" method="POST" target="_blank"></form>
</th:block>
<th:block layout:fragment="layout_popup">
</th:block>
<th:block layout:fragment="layout_script">
<script src="/js/web/ag-grid-community-29.3.5.min.js"></script>
<script src="/js/web/user/userOriginalChartSelectList.js"></script>
<script src="/js/web/user/popup/userOriginalChartSelectPop.js"></script>
</th:block>
</html>
